summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-misc/dnetc
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-misc/dnetc')
-rw-r--r--app-misc/dnetc/Manifest12
-rw-r--r--app-misc/dnetc/dnetc-2.9011.496-r1.ebuild79
-rw-r--r--app-misc/dnetc/dnetc-2.9015.504.ebuild93
-rw-r--r--app-misc/dnetc/dnetc-2.9103.509.ebuild86
-rw-r--r--app-misc/dnetc/dnetc-2.9107.516.ebuild94
-rw-r--r--app-misc/dnetc/dnetc-2.9108.517.ebuild94
-rw-r--r--app-misc/dnetc/dnetc-2.9109.518.ebuild94
-rw-r--r--app-misc/dnetc/dnetc-2.9110.519.ebuild94
-rw-r--r--app-misc/dnetc/dnetc-2.9110.519b.ebuild96
-rw-r--r--app-misc/dnetc/files/dnetc.confd18
-rw-r--r--app-misc/dnetc/files/dnetc.initd89
-rw-r--r--app-misc/dnetc/metadata.xml11
12 files changed, 860 insertions, 0 deletions
diff --git a/app-misc/dnetc/Manifest b/app-misc/dnetc/Manifest
new file mode 100644
index 00000000000..dae4da3887d
--- /dev/null
+++ b/app-misc/dnetc/Manifest
@@ -0,0 +1,12 @@
+DIST dnetc496-linux-amd64-elf.tar.gz 481070 SHA256 62a53e583beef2728062fc3cda172faa56540cd48458c37a102d2f9f818ce612 SHA512 288397a0508735f5ef774915e8981b42be412e9c9c257746114fd05dc966d93380dc2d1021eeb995964e76df2fa99daed74ba37a902773fe7bee597c4ec452ef WHIRLPOOL 56838a94a478eb781cdde25438b39c0aee947035b4cf2c89b9bd442239b3982cd483385ed1611e94267f8f36ef302805d8ceb902494f341de070e93e04876574
+DIST dnetc496-linux-x86-elf-uclibc.tar.gz 255750 SHA256 14e07c30e88f2817ed2f11373e85cfce18328e4fa79a3d4717f0ffd2b186af67 SHA512 b849197c015c2c5750e57c2a4d8e3543bed70bdef552d98c889f9af626866fcc932dc716092fa6822400a10f1f051f5b30282531b9af8b3059b0b1ff201eb005 WHIRLPOOL a25aa6696c201f3399a9a644ff4a442a640f880ed8fe71523dd27e91497e4ed2ad8a2ed30b95bd2b0d4a2eefb043c9d9fac0df8f9102cbf251030fab635c637d
+DIST dnetc504-linux-x86-elf-uclibc.tar.gz 261208 SHA256 084d0041a63efb952e35673c6b596105c5a1ba98a8ea9e942863e89f0552f3bd SHA512 37fd5dbc82cf30bd0934b1839e540bf872e16698359dc7bfd726ab68664bd7c496ffb907e612d13910ce31a228e2e00b2baf77e8235e278e5b4bc4af40dcd9f9 WHIRLPOOL 77ea716391aac747f3e0e4473b80853807985639bd8087d82bc920b049b83b401fae05105cb9131809d1f6dc2cd9ec28b6e43f7323e7a20f7c31c567d91ca8a3
+DIST dnetc509-linux-amd64-elf.tar.gz 887739 SHA256 97799e6206c57f768bd2f4e62996273b066c31d400ab42c8d50a9a9fbffc0278 SHA512 b4c9796c452c3c3c9afdad085fc5c48695973d0ef633792832a11851338cb55d6d4ff7d19cbec1cdbdbd6a43f72926bed970f6d70b5605c2b7a645bf369a43db WHIRLPOOL 5d65cb8c308084ca7ae1739c6254b6d0c5cd7d1cc27ac3e70a61862f09ed64aa9ed0de6f1b7f575701784cca36cb7cb22deb296c0247a66186aba16797e81d81
+DIST dnetc509-linux-x86-elf-uclibc.tar.gz 667536 SHA256 85fd690317c1546a6698968b71a47c07308c120b7d242857d84a5a0df98461ef SHA512 58288cdb1ea5c7b1ec57073b275c42f3025eeca57be0c2a6d3b387c6c562ed4f34e236b824f0f13f49144cdf51939e80c6ff7615db8ac77936819c7b3d0b2874 WHIRLPOOL b9cab2388f32b8f1da5bf06e3f1e9c7190ae4ca691e684a7cce8d572d20d25d0c17a21a96412fe05a4528a40535d042e6d2725675e0463d4a7bbbfcc8de64207
+DIST dnetc516-linux-sparc-v7.tar.gz 881743 SHA256 39441cf0c7b21cd1af1636698eb96769ffc46bc68331d5c4975d8485cfb8c352 SHA512 d70410773a14fe7237e0c542f45ab69f840dfd484622923da3abf723ffacf82bf94ecaa1d2089ab9326121ed4b3562ace7b267ed57bbf2c0971793b25fd30958 WHIRLPOOL 8f9628bb3521770044e4ecc33c4d7a5deb3602e1727d465eb0a8ffd95eff6908f97f174ecb852bf6f54a1ea83bf9185d1a97e8f9778a17fc2a60b769cda0e9c1
+DIST dnetc517-linux-amd64.tar.gz 645416 SHA256 5a2c7cf2ef50c5b895cb43751d94148523e0cc8283f3663601b10a7f83ddce38 SHA512 b22b59af2352a95156ea4b584f48d82e4b64080130d922bbb1797b2c62f7c401ec1263f2f0bd57103134f8fc76ef41a7e09d7da083ef0b46c44be4239005c21b WHIRLPOOL 4ec29bdf6a5d3dd1ba394ce12d6da8052577465f93e6f3ab4069ad6b51fe08e5aebcc3f108ee561a0a3319e8335a45e971fbbacfa67eb353a5664259acf56882
+DIST dnetc517-linux-x86-elf-uclibc.tar.gz 676398 SHA256 3245bb10705383983e9764340688ffe0fd74cbe69810ae3c9ef426b8df81e067 SHA512 7b56fa8c6819fd7060612c13c8fb17ca1e949abbca965b7599bb072751acd1d0e95f1a90fb67172c6d406b54e0c52549582489802e538670bdb6d12f8354e2a7 WHIRLPOOL 6906d777329615952b0d5c91730666089161e02a71d3a91cb5e9ea4364cce85047b58859f2cf6612a1b922745652a1fd0af0cb22f0e72ef47e9eab162d945489
+DIST dnetc518-linux-amd64.tar.gz 644073 SHA256 bc3f802079f07986b9b294834b5f97bdb43b061b17cc5e9ba9d22189896beda7 SHA512 95ad5144fbb1356806f6fd6f499891b36a0ea7c75794ada40cba9146c830adfd20044d8d3f3689186c9317b477aa95a6aae5d711c19534059b06b5d33367d785 WHIRLPOOL 134b479568d7feb05f74462155b72eb5a32f903a7b91dfa2587c845770583f6f62297356cb4514b238397729af8fb38a3fde4fcf6228953606e0b3f61389f9ab
+DIST dnetc518-linux-ppc-uclibc.tar.gz 717889 SHA256 2c8eda515d7976353fd3e3e6f11ac36b87af3158d0c4e472c1b58bde82182dd9 SHA512 c0d7592b1a5c98001355e71a1d31bc67bfef6b4c5f73c8e200717424ae4ea5c62558c413753e079f4e0b6bacdb921b395f46c168673e82049dcb69a0512d11eb WHIRLPOOL 39f0b46e799c8dfff713406c1991e4e729b74932e0177ed5808c3d68a8ec56b9fdab4aa931315e3b5372e2bcc3356d38e9df74f78beb68ee7da082762a22e089
+DIST dnetc519-linux-x86-elf-uclibc.tar.gz 676925 SHA256 185790bc3a1c0eb0a00e1aadf119b531ced6f931ef47bf134d6092fc55d096f0 SHA512 87519867e8e993d7b6520d73133196d34391d0694d8d8bbc372bac4e0b21ceb1a22fcd000bd2f29841695ee7232c4584eb1b19a690f723320df023c52a581395 WHIRLPOOL 873e329bba87122c2180d44a6df1a7ee50a2f1edcd7d631a9c0c5db0aa294ba936bf1aa945171d7962cc9455a08003ca946cf307f010c8cda0b5deeda8600993
+DIST dnetc519b-linux-amd64.tar.gz 648333 SHA256 ed6535ffea6c2fb627f6957559a8b27a48f785ac1678239a456194edf5e25354 SHA512 ea7899772ee8c5fbfbe96b6ec69b1a3237fe5ae96b17bb7e11e387fb833b471f3cce8809cf3c9987dfe33c7ca7082db560c36898094ace3e547077b7a5afc324 WHIRLPOOL b3d91208a9634b837f0e369a467bcd829770d4af7c18e1b0fefbb469c45574c6f09cdb0431ee35c7d00f2e20dd95a53561a262586b9be98d687531d8ad8c105a
diff --git a/app-misc/dnetc/dnetc-2.9011.496-r1.ebuild b/app-misc/dnetc/dnetc-2.9011.496-r1.ebuild
new file mode 100644
index 00000000000..53b45aacb85
--- /dev/null
+++ b/app-misc/dnetc/dnetc-2.9011.496-r1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit user
+
+MAJ_PV=${PV:0:6}
+MIN_PV=${PV:7:9}
+
+DESCRIPTION="distributed.net client"
+HOMEPAGE="http://www.distributed.net"
+SRC_URI="x86? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-x86-elf-uclibc.tar.gz )
+ amd64? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-amd64-elf.tar.gz )"
+
+LICENSE="distributed.net GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+RESTRICT="mirror"
+
+DEPEND=""
+RDEPEND="net-dns/bind-tools"
+
+QA_PRESTRIPPED="opt/distributed.net/dnetc"
+
+if use amd64; then
+ S="${WORKDIR}/dnetc${MIN_PV}-linux-amd64-elf"
+elif use x86; then
+ S="${WORKDIR}/dnetc${MIN_PV}-linux-x86-elf-uclibc"
+fi
+
+src_install() {
+ exeinto /opt/distributed.net
+ doexe dnetc
+
+ doman dnetc.1
+ dodoc docs/CHANGES.txt docs/dnetc.txt docs/readme.*
+
+ newinitd "${FILESDIR}"/dnetc.initd dnetc
+ newconfd "${FILESDIR}"/dnetc.confd dnetc
+}
+
+pkg_preinst() {
+ if [ -e /opt/distributed.net/dnetc ] && [ -e /etc/init.d/dnetc ]; then
+ einfo "flushing old buffers"
+ source /etc/conf.d/dnetc
+
+ if [ -e /opt/distributed.net/dnetc.ini ]; then
+ # use ini file
+ /opt/distributed.net/dnetc -quiet -ini /opt/distributed.net/dnetc.ini -flush
+ elif [ ! -e /opt/distributed.net/dnetc.ini ] && [ ! -z ${EMAIL} ]; then
+ # email adress from config
+ /opt/distributed.net/dnetc -quiet -flush -e ${EMAIL}
+ fi
+
+ einfo "removing old buffer files"
+ rm -f /opt/distributed.net/buff*
+ fi
+
+ enewgroup dnetc
+ enewuser dnetc -1 -1 /opt/distributed.net dnetc
+}
+
+pkg_postinst() {
+ chown -Rf dnetc:dnetc /opt/distributed.net
+ chmod 0555 /opt/distributed.net/dnetc
+
+ elog "To run distributed.net client in the background at boot:"
+ elog " rc-update add dnetc default"
+ elog ""
+ elog "Either configure your email address in /etc/conf.d/dnetc"
+ elog "or create the configuration file /opt/distributed.net/dnetc.ini"
+}
+
+pkg_postrm() {
+ if [ -d /opt/distributed.net ]; then
+ elog "All files has not been removed from /opt/distributed.net"
+ fi
+}
diff --git a/app-misc/dnetc/dnetc-2.9015.504.ebuild b/app-misc/dnetc/dnetc-2.9015.504.ebuild
new file mode 100644
index 00000000000..4ff8b2c5e55
--- /dev/null
+++ b/app-misc/dnetc/dnetc-2.9015.504.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit user versionator linux-info
+
+MAJ_PV="$(get_major_version).$(get_version_component_range 2)"
+MIN_PV="$(get_version_component_range 3)"
+
+DESCRIPTION="distributed.net client"
+HOMEPAGE="http://www.distributed.net"
+SRC_URI="http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-x86-elf-uclibc.tar.gz"
+
+LICENSE="distributed.net GPL-2"
+SLOT="0"
+KEYWORDS="-* x86"
+RESTRICT="mirror"
+
+IUSE=""
+DEPEND=""
+RDEPEND=""
+
+QA_PRESTRIPPED="opt/distributed.net/dnetc"
+
+S="${WORKDIR}/dnetc${MIN_PV}-linux-x86-elf-uclibc"
+
+pkg_setup() {
+ local CONFIG_CHECK="~SYSVIPC"
+ local WARNING_SYSVIPC="CONFIG_SYSVIPC:\tis not set (required for dnetc)"
+ check_extra_config
+ echo
+}
+
+pkg_preinst() {
+ enewgroup dnetc
+ enewuser dnetc -1 -1 /opt/distributed.net dnetc
+ if [ -e /opt/distributed.net/dnetc ] && [ -e /etc/init.d/dnetc ]; then
+ ebegin "Flushing old buffers"
+ source /etc/conf.d/dnetc
+
+ if [ -e /etc/init.d/dnetc ] ; then
+ /etc/init.d/dnetc flush
+ local flushed=${?}
+ fi
+
+ if [ ${flushed} -eq 0 ] ; then
+ true
+ elif [ -e /opt/distributed.net/dnetc.ini ]; then
+ # use ini file
+ /opt/distributed.net/dnetc -quiet -ini /opt/distributed.net/dnetc.ini -flush
+ elif [ ! -e /opt/distributed.net/dnetc.ini ] && [ ! -z ${EMAIL} ]; then
+ # email adress from config
+ /opt/distributed.net/dnetc -quiet -flush -e ${EMAIL}
+ fi
+
+ eend ${?}
+ fi
+}
+
+src_install() {
+ newinitd "${FILESDIR}"/dnetc.initd dnetc
+ newconfd "${FILESDIR}"/dnetc.confd dnetc
+
+ local ownopts="--mode=0555 --group=dnetc --owner=dnetc"
+
+ diropts ${ownopts}
+ dodir /opt/distributed.net
+
+ exeopts ${ownopts}
+ exeinto /opt/distributed.net
+ doexe dnetc
+
+ doman dnetc.1
+ dodoc docs/CHANGES.txt docs/dnetc.txt docs/readme.*
+
+ diropts ${ownopts/0555/0755}
+ dodir /var/spool/dnetc
+}
+
+pkg_postinst() {
+ einfo "To run distributed.net client in the background at boot:"
+ einfo " rc-update add dnetc default"
+ einfo
+ einfo "Either configure your email address in /etc/conf.d/dnetc"
+ einfo "or create the configuration file /opt/distributed.net/dnetc.ini"
+}
+
+pkg_postrm() {
+ if [ -d /opt/distributed.net ]; then
+ einfo "All files has not been removed from /opt/distributed.net"
+ einfo "Probably old init file and/or buffer files"
+ fi
+}
diff --git a/app-misc/dnetc/dnetc-2.9103.509.ebuild b/app-misc/dnetc/dnetc-2.9103.509.ebuild
new file mode 100644
index 00000000000..a82c2d1fec1
--- /dev/null
+++ b/app-misc/dnetc/dnetc-2.9103.509.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit user
+
+MAJ_PV=${PV:0:6}
+MIN_PV=${PV:7:9}
+
+DESCRIPTION="distributed.net client"
+HOMEPAGE="http://www.distributed.net"
+SRC_URI="x86? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-x86-elf-uclibc.tar.gz )
+ amd64? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-amd64-elf.tar.gz )"
+
+LICENSE="distributed.net GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="mirror"
+
+DEPEND=""
+RDEPEND="net-dns/bind-tools"
+
+QA_PRESTRIPPED="opt/distributed.net/dnetc"
+
+S=${WORKDIR}/dnetc
+
+src_prepare() {
+ if use amd64; then
+ mv dnetc${MIN_PV}-linux-amd64-elf dnetc
+ elif use x86; then
+ mv dnetc${MIN_PV}-linux-x86-elf-uclibc dnetc
+ fi
+}
+
+src_install() {
+ exeinto /opt/distributed.net
+ doexe dnetc
+
+ doman dnetc.1
+ dodoc docs/CHANGES.txt docs/dnetc.txt docs/readme.*
+
+ newinitd "${FILESDIR}"/dnetc.initd dnetc
+ newconfd "${FILESDIR}"/dnetc.confd dnetc
+
+ keepdir /var/spool/dnetc
+}
+
+pkg_preinst() {
+ if [ -e /opt/distributed.net/dnetc ] && [ -e /etc/init.d/dnetc ]; then
+ einfo "flushing old buffers"
+ source /etc/conf.d/dnetc
+
+ if [ -e /opt/distributed.net/dnetc.ini ]; then
+ # use ini file
+ /opt/distributed.net/dnetc -quiet -ini /opt/distributed.net/dnetc.ini -flush
+ elif [ ! -e /opt/distributed.net/dnetc.ini ] && [ ! -z ${EMAIL} ]; then
+ # email adress from config
+ /opt/distributed.net/dnetc -quiet -flush -e ${EMAIL}
+ fi
+
+ einfo "removing old buffer files"
+ rm -f /opt/distributed.net/buff*
+ fi
+
+ enewgroup dnetc
+ enewuser dnetc -1 -1 /opt/distributed.net dnetc
+}
+
+pkg_postinst() {
+ chown -Rf dnetc:dnetc /opt/distributed.net
+ chmod 0555 /opt/distributed.net/dnetc
+
+ elog "To run distributed.net client in the background at boot:"
+ elog " rc-update add dnetc default"
+ elog ""
+ elog "Either configure your email address in /etc/conf.d/dnetc"
+ elog "or create the configuration file /opt/distributed.net/dnetc.ini"
+}
+
+pkg_postrm() {
+ if [ -d /opt/distributed.net ]; then
+ elog "All files has not been removed from /opt/distributed.net"
+ fi
+}
diff --git a/app-misc/dnetc/dnetc-2.9107.516.ebuild b/app-misc/dnetc/dnetc-2.9107.516.ebuild
new file mode 100644
index 00000000000..924070a6dd6
--- /dev/null
+++ b/app-misc/dnetc/dnetc-2.9107.516.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit user
+
+MAJ_PV=${PV:0:6}
+MIN_PV=${PV:7:9}
+
+DESCRIPTION="distributed.net client"
+HOMEPAGE="http://www.distributed.net"
+#SRC_URI_x86="x86? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-x86-elf-uclibc.tar.gz )"
+#SRC_URI_amd64="amd64? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-amd64.tar.gz )"
+#SRC_URI_ppc="ppc? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-ppc-uclibc.tar.gz )"
+SRC_URI_sparc="sparc? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-sparc-v7.tar.gz )"
+SRC_URI="${SRC_URI_amd64} ${SRC_URI_ppc} ${SRC_URI_x86} ${SRC_URI_sparc}"
+
+LICENSE="distributed.net GPL-2"
+SLOT="0"
+KEYWORDS="~sparc" # x86,amd64,ppc not available for this version
+IUSE=""
+RESTRICT="mirror"
+
+DEPEND=""
+RDEPEND="net-dns/bind-tools"
+
+QA_PRESTRIPPED="opt/distributed.net/dnetc"
+
+S=${WORKDIR}/dnetc
+
+src_prepare() {
+ binname=""
+ if use amd64; then
+ binname=dnetc${MIN_PV}-linux-amd64
+ elif use x86; then
+ binname=dnetc${MIN_PV}-linux-x86-elf-uclibc
+ elif use ppc; then
+ binname=dnetc${MIN_PV}-linux-ppc-elf-uclibc
+ fi
+ [[ -z "${binname}" ]] && die "Name of dnetc binary for this platform undefined"
+ mv "${binname}" dnetc || die "$binname binary is missing"
+}
+
+src_install() {
+ exeinto /opt/distributed.net
+ doexe dnetc
+
+ doman dnetc.1
+ dodoc docs/CHANGES.txt docs/dnetc.txt docs/readme.*
+
+ newinitd "${FILESDIR}"/dnetc.initd dnetc
+ newconfd "${FILESDIR}"/dnetc.confd dnetc
+
+ keepdir /var/spool/dnetc
+}
+
+pkg_preinst() {
+ if [ -e /opt/distributed.net/dnetc ] && [ -e /etc/init.d/dnetc ]; then
+ einfo "flushing old buffers"
+ source /etc/conf.d/dnetc
+
+ if [ -e /opt/distributed.net/dnetc.ini ]; then
+ # use ini file
+ /opt/distributed.net/dnetc -quiet -ini /opt/distributed.net/dnetc.ini -flush
+ elif [ ! -e /opt/distributed.net/dnetc.ini ] && [ ! -z ${EMAIL} ]; then
+ # email adress from config
+ /opt/distributed.net/dnetc -quiet -flush -e ${EMAIL}
+ fi
+
+ einfo "removing old buffer files"
+ rm -f /opt/distributed.net/buff*
+ fi
+
+ enewgroup dnetc
+ enewuser dnetc -1 -1 /opt/distributed.net dnetc
+}
+
+pkg_postinst() {
+ chown -Rf dnetc:dnetc /opt/distributed.net
+ chmod 0555 /opt/distributed.net/dnetc
+
+ elog "To run distributed.net client in the background at boot:"
+ elog " rc-update add dnetc default"
+ elog ""
+ elog "Either configure your email address in /etc/conf.d/dnetc"
+ elog "or create the configuration file /opt/distributed.net/dnetc.ini"
+}
+
+pkg_postrm() {
+ if [ -d /opt/distributed.net ]; then
+ elog "All files has not been removed from /opt/distributed.net"
+ fi
+}
diff --git a/app-misc/dnetc/dnetc-2.9108.517.ebuild b/app-misc/dnetc/dnetc-2.9108.517.ebuild
new file mode 100644
index 00000000000..c423ec2cb9b
--- /dev/null
+++ b/app-misc/dnetc/dnetc-2.9108.517.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit user
+
+MAJ_PV=${PV:0:6}
+MIN_PV=${PV:7:9}
+
+DESCRIPTION="distributed.net client"
+HOMEPAGE="http://www.distributed.net"
+SRC_URI_x86="x86? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-x86-elf-uclibc.tar.gz )"
+SRC_URI_amd64="amd64? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-amd64.tar.gz )"
+#SRC_URI_ppc="ppc? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-ppc-uclibc.tar.gz )"
+#SRC_URI_sparc="sparc? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-sparc-v7.tar.gz )"
+SRC_URI="${SRC_URI_amd64} ${SRC_URI_ppc} ${SRC_URI_x86} ${SRC_URI_sparc}"
+
+LICENSE="distributed.net GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86" # ppc not available for this version
+IUSE=""
+RESTRICT="mirror"
+
+DEPEND=""
+RDEPEND="net-dns/bind-tools"
+
+QA_PRESTRIPPED="opt/distributed.net/dnetc"
+
+S=${WORKDIR}/dnetc
+
+src_prepare() {
+ binname=""
+ if use amd64; then
+ binname=dnetc${MIN_PV}-linux-amd64
+ elif use x86; then
+ binname=dnetc${MIN_PV}-linux-x86-elf-uclibc
+ elif use ppc; then
+ binname=dnetc${MIN_PV}-linux-ppc-elf-uclibc
+ fi
+ [[ -z "${binname}" ]] && die "Name of dnetc binary for this platform undefined"
+ mv "${binname}" dnetc || die "$binname binary is missing"
+}
+
+src_install() {
+ exeinto /opt/distributed.net
+ doexe dnetc
+
+ doman dnetc.1
+ dodoc docs/CHANGES.txt docs/dnetc.txt docs/readme.*
+
+ newinitd "${FILESDIR}"/dnetc.initd dnetc
+ newconfd "${FILESDIR}"/dnetc.confd dnetc
+
+ keepdir /var/spool/dnetc
+}
+
+pkg_preinst() {
+ if [ -e /opt/distributed.net/dnetc ] && [ -e /etc/init.d/dnetc ]; then
+ einfo "flushing old buffers"
+ source /etc/conf.d/dnetc
+
+ if [ -e /opt/distributed.net/dnetc.ini ]; then
+ # use ini file
+ /opt/distributed.net/dnetc -quiet -ini /opt/distributed.net/dnetc.ini -flush
+ elif [ ! -e /opt/distributed.net/dnetc.ini ] && [ ! -z ${EMAIL} ]; then
+ # email adress from config
+ /opt/distributed.net/dnetc -quiet -flush -e ${EMAIL}
+ fi
+
+ einfo "removing old buffer files"
+ rm -f /opt/distributed.net/buff*
+ fi
+
+ enewgroup dnetc
+ enewuser dnetc -1 -1 /opt/distributed.net dnetc
+}
+
+pkg_postinst() {
+ chown -Rf dnetc:dnetc /opt/distributed.net
+ chmod 0555 /opt/distributed.net/dnetc
+
+ elog "To run distributed.net client in the background at boot:"
+ elog " rc-update add dnetc default"
+ elog ""
+ elog "Either configure your email address in /etc/conf.d/dnetc"
+ elog "or create the configuration file /opt/distributed.net/dnetc.ini"
+}
+
+pkg_postrm() {
+ if [ -d /opt/distributed.net ]; then
+ elog "All files has not been removed from /opt/distributed.net"
+ fi
+}
diff --git a/app-misc/dnetc/dnetc-2.9109.518.ebuild b/app-misc/dnetc/dnetc-2.9109.518.ebuild
new file mode 100644
index 00000000000..1d1e603697d
--- /dev/null
+++ b/app-misc/dnetc/dnetc-2.9109.518.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit user
+
+MAJ_PV=${PV:0:6}
+MIN_PV=${PV:7:9}
+
+DESCRIPTION="distributed.net client"
+HOMEPAGE="http://www.distributed.net"
+#SRC_URI_x86="x86? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-x86-elf-uclibc.tar.gz )"
+SRC_URI_amd64="amd64? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-amd64.tar.gz )"
+SRC_URI_ppc="ppc? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-ppc-uclibc.tar.gz )"
+#SRC_URI_sparc="sparc? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-sparc-v7.tar.gz )"
+SRC_URI="${SRC_URI_amd64} ${SRC_URI_ppc} ${SRC_URI_x86} ${SRC_URI_sparc}"
+
+LICENSE="distributed.net GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc" # x86 not available for this version
+IUSE=""
+RESTRICT="mirror"
+
+DEPEND=""
+RDEPEND="net-dns/bind-tools"
+
+QA_PRESTRIPPED="opt/distributed.net/dnetc"
+
+S=${WORKDIR}/dnetc
+
+src_prepare() {
+ binname=""
+ if use amd64; then
+ binname=dnetc${MIN_PV}-linux-amd64
+ elif use x86; then
+ binname=dnetc${MIN_PV}-linux-x86-elf-uclibc
+ elif use ppc; then
+ binname=dnetc${MIN_PV}-linux-ppc-elf-uclibc
+ fi
+ [[ -z "${binname}" ]] && die "Name of dnetc binary for this platform undefined"
+ mv "${binname}" dnetc || die "$binname binary is missing"
+}
+
+src_install() {
+ exeinto /opt/distributed.net
+ doexe dnetc
+
+ doman dnetc.1
+ dodoc docs/CHANGES.txt docs/dnetc.txt docs/readme.*
+
+ newinitd "${FILESDIR}"/dnetc.initd dnetc
+ newconfd "${FILESDIR}"/dnetc.confd dnetc
+
+ keepdir /var/spool/dnetc
+}
+
+pkg_preinst() {
+ if [ -e /opt/distributed.net/dnetc ] && [ -e /etc/init.d/dnetc ]; then
+ einfo "flushing old buffers"
+ source /etc/conf.d/dnetc
+
+ if [ -e /opt/distributed.net/dnetc.ini ]; then
+ # use ini file
+ /opt/distributed.net/dnetc -quiet -ini /opt/distributed.net/dnetc.ini -flush
+ elif [ ! -e /opt/distributed.net/dnetc.ini ] && [ ! -z ${EMAIL} ]; then
+ # email adress from config
+ /opt/distributed.net/dnetc -quiet -flush -e ${EMAIL}
+ fi
+
+ einfo "removing old buffer files"
+ rm -f /opt/distributed.net/buff*
+ fi
+
+ enewgroup dnetc
+ enewuser dnetc -1 -1 /opt/distributed.net dnetc
+}
+
+pkg_postinst() {
+ chown -Rf dnetc:dnetc /opt/distributed.net
+ chmod 0555 /opt/distributed.net/dnetc
+
+ elog "To run distributed.net client in the background at boot:"
+ elog " rc-update add dnetc default"
+ elog ""
+ elog "Either configure your email address in /etc/conf.d/dnetc"
+ elog "or create the configuration file /opt/distributed.net/dnetc.ini"
+}
+
+pkg_postrm() {
+ if [ -d /opt/distributed.net ]; then
+ elog "All files has not been removed from /opt/distributed.net"
+ fi
+}
diff --git a/app-misc/dnetc/dnetc-2.9110.519.ebuild b/app-misc/dnetc/dnetc-2.9110.519.ebuild
new file mode 100644
index 00000000000..3cb79cf07dc
--- /dev/null
+++ b/app-misc/dnetc/dnetc-2.9110.519.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit user
+
+MAJ_PV=${PV:0:6}
+MIN_PV=${PV:7:9}
+
+DESCRIPTION="distributed.net client"
+HOMEPAGE="http://www.distributed.net"
+SRC_URI_x86="x86? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-x86-elf-uclibc.tar.gz )"
+#SRC_URI_amd64="amd64? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-amd64.tar.gz )"
+#SRC_URI_ppc="ppc? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-ppc-uclibc.tar.gz )"
+#SRC_URI_sparc="sparc? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-sparc-v7.tar.gz )"
+SRC_URI="${SRC_URI_amd64} ${SRC_URI_ppc} ${SRC_URI_x86} ${SRC_URI_sparc}"
+
+LICENSE="distributed.net GPL-2"
+SLOT="0"
+KEYWORDS="~x86" # ppc,amd64 not available for this version
+IUSE=""
+RESTRICT="mirror"
+
+DEPEND=""
+RDEPEND="net-dns/bind-tools"
+
+QA_PRESTRIPPED="opt/distributed.net/dnetc"
+
+S=${WORKDIR}/dnetc
+
+src_prepare() {
+ binname=""
+ if use amd64; then
+ binname=dnetc${MIN_PV}-linux-amd64
+ elif use x86; then
+ binname=dnetc${MIN_PV}-linux-x86-elf-uclibc
+ elif use ppc; then
+ binname=dnetc${MIN_PV}-linux-ppc-elf-uclibc
+ fi
+ [[ -z "${binname}" ]] && die "Name of dnetc binary for this platform undefined"
+ mv "${binname}" dnetc || die "$binname binary is missing"
+}
+
+src_install() {
+ exeinto /opt/distributed.net
+ doexe dnetc
+
+ doman dnetc.1
+ dodoc docs/CHANGES.txt docs/dnetc.txt docs/readme.*
+
+ newinitd "${FILESDIR}"/dnetc.initd dnetc
+ newconfd "${FILESDIR}"/dnetc.confd dnetc
+
+ keepdir /var/spool/dnetc
+}
+
+pkg_preinst() {
+ if [ -e /opt/distributed.net/dnetc ] && [ -e /etc/init.d/dnetc ]; then
+ einfo "flushing old buffers"
+ source /etc/conf.d/dnetc
+
+ if [ -e /opt/distributed.net/dnetc.ini ]; then
+ # use ini file
+ /opt/distributed.net/dnetc -quiet -ini /opt/distributed.net/dnetc.ini -flush
+ elif [ ! -e /opt/distributed.net/dnetc.ini ] && [ ! -z ${EMAIL} ]; then
+ # email adress from config
+ /opt/distributed.net/dnetc -quiet -flush -e ${EMAIL}
+ fi
+
+ einfo "removing old buffer files"
+ rm -f /opt/distributed.net/buff*
+ fi
+
+ enewgroup dnetc
+ enewuser dnetc -1 -1 /opt/distributed.net dnetc
+}
+
+pkg_postinst() {
+ chown -Rf dnetc:dnetc /opt/distributed.net
+ chmod 0555 /opt/distributed.net/dnetc
+
+ elog "To run distributed.net client in the background at boot:"
+ elog " rc-update add dnetc default"
+ elog ""
+ elog "Either configure your email address in /etc/conf.d/dnetc"
+ elog "or create the configuration file /opt/distributed.net/dnetc.ini"
+}
+
+pkg_postrm() {
+ if [ -d /opt/distributed.net ]; then
+ elog "All files has not been removed from /opt/distributed.net"
+ fi
+}
diff --git a/app-misc/dnetc/dnetc-2.9110.519b.ebuild b/app-misc/dnetc/dnetc-2.9110.519b.ebuild
new file mode 100644
index 00000000000..f8b37d50436
--- /dev/null
+++ b/app-misc/dnetc/dnetc-2.9110.519b.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit user
+
+MAJ_PV=${PV:0:6}
+MIN_PV=${PV:7:9}
+
+DESCRIPTION="distributed.net client"
+HOMEPAGE="http://www.distributed.net"
+#SRC_URI_x86="x86? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-x86-elf-uclibc.tar.gz )"
+SRC_URI_amd64="amd64? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-amd64.tar.gz )"
+#SRC_URI_ppc="ppc? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-ppc-uclibc.tar.gz )"
+#SRC_URI_sparc="sparc? ( http://http.distributed.net/pub/dcti/v${MAJ_PV}/dnetc${MIN_PV}-linux-sparc-v7.tar.gz )"
+SRC_URI="${SRC_URI_amd64} ${SRC_URI_ppc} ${SRC_URI_x86} ${SRC_URI_sparc}"
+
+LICENSE="distributed.net GPL-2"
+SLOT="0"
+KEYWORDS="~amd64" # ppc,x86 not available for this version
+IUSE=""
+RESTRICT="mirror"
+
+DEPEND=""
+RDEPEND="net-dns/bind-tools"
+
+QA_PREBUILT="opt/distributed.net/dnetc"
+
+getS() {
+ case $ARCH in
+ amd64) suffix=amd64 ;;
+ x86) suffix=x86-elf-uclibc ;;
+ ppc) suffix=ppc-elf-uclibc ;;
+ esac
+ echo dnetc${MIN_PV:0:3}-linux-${suffix}
+}
+
+src_prepare() {
+ export S="${WORKDIR}/$(getS)"
+ cd "${S}"
+ [[ -x dnetc ]] || die "Name of dnetc directory/binary for this platform undefined"
+}
+
+src_install() {
+ export S="${WORKDIR}/$(getS)"
+ cd "${S}"
+ exeinto /opt/distributed.net
+ doexe dnetc
+
+ doman dnetc.1
+ dodoc docs/CHANGES.txt docs/dnetc.txt docs/readme.*
+
+ newinitd "${FILESDIR}"/dnetc.initd dnetc
+ newconfd "${FILESDIR}"/dnetc.confd dnetc
+
+ keepdir /var/spool/dnetc
+}
+
+pkg_preinst() {
+ if [ -e /opt/distributed.net/dnetc ] && [ -e /etc/init.d/dnetc ]; then
+ einfo "flushing old buffers"
+ source /etc/conf.d/dnetc
+
+ if [ -e /opt/distributed.net/dnetc.ini ]; then
+ # use ini file
+ /opt/distributed.net/dnetc -quiet -ini /opt/distributed.net/dnetc.ini -flush
+ elif [ ! -e /opt/distributed.net/dnetc.ini ] && [ ! -z ${EMAIL} ]; then
+ # email adress from config
+ /opt/distributed.net/dnetc -quiet -flush -e ${EMAIL}
+ fi
+
+ einfo "removing old buffer files"
+ rm -f /opt/distributed.net/buff*
+ fi
+
+ enewgroup dnetc
+ enewuser dnetc -1 -1 /opt/distributed.net dnetc
+}
+
+pkg_postinst() {
+ chown -Rf dnetc:dnetc /opt/distributed.net
+ chmod 0555 /opt/distributed.net/dnetc
+
+ elog "To run distributed.net client in the background at boot:"
+ elog " rc-update add dnetc default"
+ elog ""
+ elog "Either configure your email address in /etc/conf.d/dnetc"
+ elog "or create the configuration file /opt/distributed.net/dnetc.ini"
+}
+
+pkg_postrm() {
+ if [ -d /opt/distributed.net ]; then
+ elog "All files has not been removed from /opt/distributed.net"
+ fi
+}
diff --git a/app-misc/dnetc/files/dnetc.confd b/app-misc/dnetc/files/dnetc.confd
new file mode 100644
index 00000000000..f6f0da6b7e2
--- /dev/null
+++ b/app-misc/dnetc/files/dnetc.confd
@@ -0,0 +1,18 @@
+# configuration file for dnetc
+
+# Startup will look for configuration files in the following places, using the
+# first one that it finds:
+# 1. /etc/dnetc.conf
+# 2. /opt/distributed.net/dnetc.ini
+
+# Values specified here will override those found in any client configuration
+# file.
+
+# email adress
+EMAIL=
+
+# buffer base dir
+BUFFER_BASE_DIR=/var/spool/dnetc
+
+# keyserver address
+KEYSERVER_ADDRESS=
diff --git a/app-misc/dnetc/files/dnetc.initd b/app-misc/dnetc/files/dnetc.initd
new file mode 100644
index 00000000000..b00743eb787
--- /dev/null
+++ b/app-misc/dnetc/files/dnetc.initd
@@ -0,0 +1,89 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+opts="${opts} reload fetch flush"
+
+depend() {
+ use net
+}
+
+processOpts() {
+ local retVal=1
+
+ DNETPATH="/opt/distributed.net"
+ DNETBIN="${DNETPATH}/dnetc"
+
+ STARTOPTS="--start --chuid dnetc:dnetc --quiet \
+ --exec ${DNETBIN}"
+
+ DNETOPTS="-quiet"
+
+ if [ -e /etc/dnetc.ini ] ; then
+ retVal=0
+ DNETOPTS="${DNETOPTS} -ini /etc/dnetc.ini"
+ elif [ -e ${DNETPATH}/dnetc.ini ]; then
+ retVal=0
+ DNETOPTS="${DNETOPTS} -ini ${DNETPATH}/dnetc.ini"
+ elif [ ! -z ${EMAIL} ]; then
+ retVal=0
+ fi
+
+ # override ini settings with values in /etc/conf.d/dnetc
+
+ DNETOPTS="${DNETOPTS} ${EMAIL:+-e ${EMAIL}}"
+ if [ ! -z ${BUFFER_BASE_DIR} ] ; then
+ local buff_in="${BUFFER_BASE_DIR:+${BUFFER_BASE_DIR}/}buff-in"
+ local buff_out="${BUFFER_BASE_DIR:+${BUFFER_BASE_DIR}/}buff-out"
+ DNETOPTS="${DNETOPTS} -inbase ${buff_in}"
+ DNETOPTS="${DNETOPTS} -outbase ${buff_out}"
+ fi
+ DNETOPTS="${DNETOPTS} ${KEYSERVER_ADDRESS:+-a ${KEYSERVER_ADDRESS}}"
+
+ # fair group cpu scheduler
+ uidpath="/sys/kernel/uids/`id -u dnetc`"
+ [ -d $uidpath ] && echo 2 >$uidpath/cpu_share
+ unset uidpath
+
+ if [ ${retVal} -ne 0 ] ; then
+ eerror "Need some sort of configuration. Check /etc/conf.d/dnetc."
+ fi
+
+ return ${retVal}
+}
+
+start() {
+ processOpts || return 1
+ ebegin "Starting distributed.net client"
+ start-stop-daemon ${STARTOPTS} -- ${DNETOPTS}
+ eend ${?}
+}
+
+stop() {
+ processOpts || return 1
+ ebegin "Stopping distributed.net client"
+ start-stop-daemon --stop --quiet --exec ${DNETBIN} --
+ eend ${?}
+}
+
+reload() {
+ processOpts || return 1
+ ebegin "Reloading distributed.net client"
+ start-stop-daemon --stop --quiet --signal HUP --exec ${DNETBIN}
+ eend ${?}
+}
+
+fetch() {
+ processOpts || return 1
+ ebegin "Fetching distributed.net client buffers"
+ ${DNETBIN} ${DNETOPTS} -fetch
+ eend ${?}
+}
+
+flush() {
+ processOpts || return 1
+ ebegin "Flushing distributed.net client buffers"
+ ${DNETBIN} ${DNETOPTS} -flush
+ eend ${?}
+}
diff --git a/app-misc/dnetc/metadata.xml b/app-misc/dnetc/metadata.xml
new file mode 100644
index 00000000000..5fc044e11cb
--- /dev/null
+++ b/app-misc/dnetc/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>robbat2@gentoo.org</email>
+ <name>Robin H. Johnson</name>
+ </maintainer>
+ <longdescription>
+ a distributed client for the distributed.net cracking challenges.
+ </longdescription>
+</pkgmetadata>